发起问题
0

nova-computer 和 ceph jewel 关于librbd1版本冲突的问题

提问于 2018-03-22 00:10:27 -0500

littlemice 图像

当我在安装ceph(jewel版本)后再安装 nova-computer-kvm将会失败。追踪了问题,主要是ceph使用的librbd1版本是10.2.9-0ubuntu0.16.04.1,但是nova-computer-libvirt 使用12.2.2-0ubuntu2~cloud0。我不知道如何去处理现在(在我不想通过源码编译ceph的情况下)。

PS:正常情况下,直接安装nova-computer 和ceph是没有问题的。但是这过程中并不会帮助你安装nova-computer-kvm,默认安装的是nova-computer-vmware,并且如果配置了compute_driver=libvirt.LibvirtDriver,会出现很多问题。

谁能够帮助我解决这个问题?

edit retag flag offensive close merge delete
0

回答 2018-03-22 00:41:49 -0500

littlemice 图像

安装ceph luminous版本就可以解决了这个问题

edit flag offensive delete link 更多

你的回答

Please start posting anonymously - your entry will be published after you log in or create a new account.

开始回答

提问工具

1 follower

统计

已提问: 2018-03-22 00:10:27 -0500

已查看: 89 次

最后更新: Mar 22 '18